local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Crafting(container)


--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  










local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Crafting Vs Farming")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.CraftingVsFarming(container)
  
  end)
  
  
  
  local AlchemyProc = AceGUI:Create("Button")
  AlchemyProc:SetText("Alchemy Proc")
  AlchemyProc:SetWidth(350)
  scroll:AddChild(AlchemyProc)
  AlchemyProc:SetCallback("OnClick", function() 
  
 core.AlchemyProc(container)
  
  end) 
  
  
  
  local Cooking = AceGUI:Create("Button")
  Cooking:SetText("Cooking")
  Cooking:SetWidth(350)
  scroll:AddChild(Cooking)
  Cooking:SetCallback("OnClick", function() 
  
 core.Cooking(container)
  
  end) 
  
  
  
  local Leatherworking = AceGUI:Create("Button")
  Leatherworking:SetText("Leatherworking")
  Leatherworking:SetWidth(350)
  scroll:AddChild(Leatherworking)
  Leatherworking:SetCallback("OnClick", function() 
  
 core.Leatherworking(container)
  
  end) 
  
  
  
  local Blacksmithing = AceGUI:Create("Button")
  Blacksmithing:SetText("Blacksmithing")
  Blacksmithing:SetWidth(350)
  scroll:AddChild(Blacksmithing)
  Blacksmithing:SetCallback("OnClick", function() 
  
 core.Blacksmithing(container)
  
  end) 
  
  
  
  local Jewelcrafting = AceGUI:Create("Button")
  Jewelcrafting:SetText("Jewelcrafting")
  Jewelcrafting:SetWidth(350)
  scroll:AddChild(Jewelcrafting)
  Jewelcrafting:SetCallback("OnClick", function() 
  
 core.Jewelcrafting(container)
  
  end) 
  
  
  
  local Engineering = AceGUI:Create("Button")
  Engineering:SetText("Engineering")
  Engineering:SetWidth(350)
  scroll:AddChild(Engineering)
  Engineering:SetCallback("OnClick", function() 
  
 core.Engineering(container)
  
  end) 
  
  
  
  local Inscription = AceGUI:Create("Button")
  Inscription:SetText("Inscription")
  Inscription:SetWidth(350)
  scroll:AddChild(Inscription)
  Inscription:SetCallback("OnClick", function() 
  
 core.Inscription(container)
  
  end) 
  
  
  
  
  
  local Enchanting = AceGUI:Create("Button")
  Enchanting:SetText("Enchanting")
  Enchanting:SetWidth(350)
  scroll:AddChild(Enchanting)
  Enchanting:SetCallback("OnClick", function() 
  
 core.Enchanting(container)
  
  end) 
  
  
  
  local Alchemy = AceGUI:Create("Button")
  Alchemy:SetText("Alchemy")
  Alchemy:SetWidth(350)
  scroll:AddChild(Alchemy)
  Alchemy:SetCallback("OnClick", function() 
  
 core.Alchemy(container)
  
  end) 
  
  
  
  local Tailoring = AceGUI:Create("Button")
  Tailoring:SetText("Tailoring")
  Tailoring:SetWidth(350)
  scroll:AddChild(Tailoring)
  Tailoring:SetCallback("OnClick", function() 
  
 core.Tailoring(container)
  
  end)  
  
  
  
  local CraftedMounts = AceGUI:Create("Button")
  CraftedMounts:SetText("Crafted Mounts")
  CraftedMounts:SetWidth(350)
  scroll:AddChild(CraftedMounts)
  CraftedMounts:SetCallback("OnClick", function() 
  
 core.CraftedMounts(container)
  
  end) 
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
end